### Method

# ECal Component get_dtstart

since: 3.34

#### Declaration [src]

    ECalComponentDateTime*
    e_cal_component_get_dtstart (
      ECalComponent* comp
    )

#### Description [src]

Queries the date/time start of a calendar component object. Free the returned `ECalComponentDateTime` with e_cal_component_datetime_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentDateTime`

The date/time start, as an `ECalComponentDateTime`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.